Subject: [dtn] new version of charter

From: Marc Blanchet <[email-masked]>
Date: Tue, 30 Sep 2014 14:10:35 -0400

Hello,
 after our conf call today, there was a concensus within the group who attended (about ~20 people) that we would use this version of the charter, as the base. Therefore, please use the one below for comments.

Regards, Marc&Fred.

==============================
Working group name: 

     Delay/Disruption Tolerant Networking Working Group (DTNWG)

Chair(s):

     TBD

Area and Area Director(s):

     Transport Area: ADs Spencer Dawkins <spencerdawkins.ietf at gmail.com>,
                         Martin Stiemerling <mls.ietf at gmail.com>

Responsible Area Director:

     Martin Stiemerling <mls.ietf at gmail.com>

Mailing list:

     General Discussion: dtn at ietf.org
     To Subscribe: https://www.ietf.org/mailman/listinfo/dtn
     Archive: http://www.ietf.org/mail-archive/web/dtn/current/maillist.html

Description of Working Group:

     The Delay/Disruption Tolerant Network Working Group (DTNWG) specifies
     mechanisms for data communications in the presence of long delays
     and/or intermittent connectivity. Delay-Tolerant Networking (DTN) 
     protocols have been the subject of
     extensive research and development in the Delay-Tolerant Networking
     Research Group (DTNRG) of the Internet Research Task Force since 2002.
     The key documents are the « DTN Architecture » (RFC 4838), the 
     Bundle Protocol (RFC 5050), Licklider Transmission Protocol (RFC 5326)
     and convergence layers (RFC 7122, 7242). Multiple independent implementations
     exist for these technologies and multiple deployments in space and terrestrial
     environments. There is an increase interest in the commercial world for these 
     technologies, for similar and different use cases, such as unmanned air vehicles.
     In this context, there is a need to update the base specifications based on the 
     deployment and implementation experience as well as the new use cases. Moreover,
     there is also a need to have standards track documents for the market. 

     Therefore, the purpose of the working group is to document the new use cases and 
     requirements and to update the base specifications. The group shall not endeavour to
     change the underlying architecture or the bundle protocol principle.

     Work items are:

     o An informational « DTN Revision Problem Statement, Use Cases, 
        Requirements and Development Strategy » document

     o Updates to RFC5050, convergence layer RFCs, security(RFC6257), as standard track documents.

     o A registry for DTN Service Identifiers

     Before the updates of the protocol specifications are worked on, the Problem statement should
     be agreed within the working group and with the IESG, specially on what the additional work items will be. 

Goals and Milestones:

     April 2015 Informational document sent to IESG

---

From: "Ivancic, William D. (GRC-LCA0)" <[email-masked]>
Date: Tue, 30 Sep 2014 18:26:35 +0000

I am fine with this charter.  IMHO, I would generate three separate
documents.  Two would be come RFCs and one is just a what it says it is, a
Development Strategy.

The first would be the DTN Deployment Problem Statement which would
include Use Cases and lessons learned.  The second would be the
Requirements Document which would include expected default actions that a
bundle forwarding agent should take.

Will

On 9/30/14 2:10 PM, "Marc Blanchet" <[email-masked]> wrote:

>Hello,
> after our conf call today, there was a concensus within the group who
>attended (about ~20 people) that we would use this version of the
>charter, as the base. Therefore, please use the one below for comments.
>
>Regards, Marc&Fred.
>

---

From: Nabil Benamar <[email-masked]>
Date: Tue, 30 Sep 2014 19:34:17 +0100

Thank you Marc for the update,

I think that may be I have missed something in the previous discussions
around the charter final format...because I can not see the IPv6 reference
any more in the current charter !

On Tue, Sep 30, 2014 at 7:10 PM, Marc Blanchet <[email-masked]>
wrote:

> attended (about ~20 people) that we would use this version of the charter,
> as the base. Therefore, please use the one below for comments.
>
> Regards, Marc&Fred.
>
>      Transport Area: ADs Spencer Dawkins <spencerdawkins.ietf at gmail.com
> >,
>      Archive:
> http://www.ietf.org/mail-archive/web/dtn/current/maillist.html
>
> _______________________________________________
> dtn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dtn
>

-- 

Best Regards

*nabilbenamar.ipv6-lab.net <http://nabilbenamar.ipv6-lab.net/>*

---

From: Marc Blanchet <[email-masked]>
Date: Tue, 30 Sep 2014 14:39:10 -0400

Le 2014-09-30 à 14:34, Nabil Benamar <[email-masked]> a écrit :

> I think that may be I have missed something in the previous discussions around the charter final format...because I can not see the IPv6 reference any more in the current charter ! 

on purpose.

The intent is to do a two-phase approach:
1) restricted charter to work on problem statement, use cases, requirements and development strategy. with the outcome being an agreed list of work items to do next,
2) pick the work items we want to do, have AD/IESG agree on it and then work on those work items.

Therefore, any IPv6 transport/neighbor discovery/... will be discussed within 1)

Regards, Marc.

> 
> On Tue, Sep 30, 2014 at 7:10 PM, Marc Blanchet <[email-masked]> wrote:
> Hello,
> nabilbenamar.ipv6-lab.net
> 
> 
>

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 30 Sep 2014 18:53:18 +0000

Huh? The charter asks for only a single document.

     o An informational < DTN Revision Problem Statement, Use Cases, 
        Requirements and Development Strategy > document

Thanks - Fred
[email-masked]

> -----Original Message-----
> From: dtn [mailto:[email-masked]] On Behalf Of Ivancic, William D. (GRC-LCA0)
> Sent: Tuesday, September 30, 2014 11:27 AM
> To: [email-masked]
> Subject: Re: [dtn] new version of charter
>

---

From: Nabil Benamar <[email-masked]>
Date: Tue, 30 Sep 2014 20:03:53 +0100

That's more realistic indeed! Thanks Marc for the detailed clarification!

On Tue, Sep 30, 2014 at 7:39 PM, Marc Blanchet <[email-masked]>
wrote:

> 1) restricted charter to work on problem statement, use cases,
> requirements and development strategy. with the outcome being an agreed
> list of work items to do next,

-- 

Best Regards

---

From: Sebastian Schildt <[email-masked]>
Date: Tue, 30 Sep 2014 21:04:35 +0200

Hi,

I like this charter. It is clear and concise. And very limited in scope as originally envisioned by Fred. I think this is very good, as it also gives enough breathing room for useful  RG  activities which might go more into the re-invent and explore direction. 

The question is, who kicks of a "An informational  DTN Revision Problem Statement, Use Cases,  Requirements and Development Strategy“ document? Especially the problem statement and use case part would seem very useful for the larger  community in general. 

Is use-case going to mean

 1. Already existing use cases (deployed space comminication, no matter whether it currently uses RFC5050 or not)  
      -> of course this needs to be in. Only this might be too little
 2. Future ideas: This is hard, I guess something should be there. But just adding every crapckpot-idea with no business case from some paper that also mentioned DTN but never impmented/deployed something is probably also a bad idea (No offense to any works, I guess I might have 1 or 2 papers fitting that category…)

I feel this might need some thoughts: Have some good examples, either deployed or very „obvious“, and „near“, which give some vision to the future without degenrating into a long list of random thoughts.

But as I said: I like this version of the charter. But that doesn’t mean filling it with life will be easy :) 

Sebastian

---

From: "Will Ivancic" <[email-masked]>
Date: Tue, 30 Sep 2014 19:52:38 -0400

I think you will find it easier to separate and develop two rather than one.

Look at other work.

Requirements are different than defining the problem.

Will

-----Original Message-----
From: dtn [mailto:[email-masked]] On Behalf Of Templin, Fred L
Sent: Tuesday, September 30, 2014 2:53 PM
To: Ivancic, William D. (GRC-LCA0); [email-masked]
Subject: Re: [dtn] new version of charter

Thanks - Fred

> documents.  Two would be come RFCs and one is just a what it says it 
> is, a Development Strategy.
> 
> Requirements Document which would include expected default actions 
> that a bundle forwarding agent should take.
> 
> Will
> 
> 
> 
> 
> 
> 
> 
> 
> > after our conf call today, there was a concensus within the group 
> >who attended (about ~20 people) that we would use this version of the